App\Domain\Registry\Model\Treatment:
    constraints:
        - App\Domain\Registry\Symfony\Validator\Constraints\TreatmentConcernedPeople:
              message: 'registry_treatment.concerned_people.min_count'
              groups: ['default']
    properties:
        author:
            - NotBlank:
                  message: 'registry_treatment.author.not_blank'
                  groups: ['default']
            - Knp\DictionaryBundle\Validator\Constraints\Dictionary:
                  name: 'registry_treatment_author'
                  groups: ['default']

        collectingMethod:
            -   All:
                    - Knp\DictionaryBundle\Validator\Constraints\Dictionary:
                        name: 'registry_treatment_collecting_method'
                        groups: ['default']
        estimatedConcernedPeople:
            - GreaterThanOrEqual:
                  value: 0
                  groups: ['default']
        name:
            - NotBlank:
                message: 'registry_treatment.name.not_blank'
                groups: ['default']
            - Length:
                max: 255
                groups: ['default']
        legalBasis:
            - Knp\DictionaryBundle\Validator\Constraints\Dictionary:
                name: 'registry_treatment_legal_basis'
                groups: ['default']
        active:
            - NotNull:
                message: 'registry_treatment.active.not_null'
                groups: ['default']
        manager:
            - Length:
                max: 255
                groups: ['default']
        dataOrigin:
            - Length:
                max: 255
                groups: ['default']
        securityAccessControl:
            - Valid: ~
        securityUpdate:
            - Valid: ~
        securitySaving:
            - Valid: ~
        securityTracability:
            - Valid: ~
        securityOther:
            - Valid: ~
        dpoMessage:
          - Valid: ~
        otherCollectingMethod:
            - Length:
                  max: 255
                  groups: [ 'default' ]
